Page MenuHomePhabricator

On second edit attempt between loads, VisualEditor fails to load, complaining about revID mis-match
Closed, ResolvedPublic1 Story Points

Description

I just saved my edit on this page: https://en.wikipedia.org/w/index.php?title=User:RYasmeen_%28WMF%29/sandbox&veaction=edit

and Tried to re-open VE got the following error:

Error loading data from server: ve-api: Revision IDs (doc=658877976,api=658878557) returned by server do not match. Would you like to retry?

Event Timeline

Ryasmeen created this task.Apr 23 2015, 6:52 PM
Ryasmeen updated the task description. (Show Details)
Ryasmeen raised the priority of this task from to Unbreak Now!.
Ryasmeen added a project: VisualEditor.
Ryasmeen added a subscriber: Ryasmeen.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 23 2015, 6:52 PM
Ryasmeen assigned this task to Esanders.Apr 23 2015, 6:52 PM
Ryasmeen set Security to None.

We had a related change around this in wmf2: https://phabricator.wikimedia.org/T94367

Ryasmeen reassigned this task from Esanders to Krenair.Apr 23 2015, 6:56 PM

Change 206185 had a related patch set uploaded (by Catrope):
Don't give up immediately for revid mismatches on second load

https://gerrit.wikimedia.org/r/206185

Change 206185 merged by jenkins-bot:
Don't give up immediately for revid mismatches on second load

https://gerrit.wikimedia.org/r/206185

Krenair reassigned this task from Krenair to Catrope.Apr 23 2015, 9:02 PM
Krenair added a subscriber: Krenair.

Change 206325 had a related patch set uploaded (by Catrope):
Don't give up immediately for revid mismatches on second load

https://gerrit.wikimedia.org/r/206325

Change 206326 had a related patch set uploaded (by Catrope):
Don't give up immediately for revid mismatches on second load

https://gerrit.wikimedia.org/r/206326

Change 206325 merged by jenkins-bot:
Don't give up immediately for revid mismatches on second load

https://gerrit.wikimedia.org/r/206325

Change 206326 merged by jenkins-bot:
Don't give up immediately for revid mismatches on second load

https://gerrit.wikimedia.org/r/206326

Jdforrester-WMF renamed this task from In en.wiki, VisualEditor failed to load while trying to re-open it after saving an edit on it , showed an error about Revision ID mismatch to On second edit attempt between loads, VisualEditor fails to load, complaining about revID mis-match.Apr 23 2015, 11:34 PM
Jdforrester-WMF closed this task as Resolved.
Jdforrester-WMF moved this task from Nominated to Done on the VisualEditor 2014/15 Q4 blockers board.
Jdforrester-WMF edited a custom field.

Verified in en.wiki

Ryasmeen reopened this task as Open.Apr 27 2015, 9:12 PM

Getting this error again in Betalabs.

I just tested this and could not reproduce the issue.

Ryasmeen added a comment.EditedApr 28 2015, 7:04 PM

Krenair, Trying on Firefox? Happens after you open VE for the second time after you save your edit.
I am not getting the revID mismatch error, but when I open the editor, it says I am editing an old version of the document

Have checked it in FF 37, yep.

Getting it in Chrome too

Jdforrester-WMF closed this task as Resolved.Apr 29 2015, 5:27 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

I'm going to declare it a caching issue for now.

Jdforrester-WMF moved this task from To Triage to Q4 on the VisualEditor board.May 6 2015, 12:58 AM
Ryasmeen reopened this task as Open.May 11 2015, 11:33 PM

Ryasmeen reopened this on May 11th without adding a comment.
@Ryasmeen: I assume that means this problem still exists?

@Catrope: Are you still working on this (as you are set as assignee)?

Is the priority realistic here? Asking as this has "Unbreak now" priority.

Catrope removed Catrope as the assignee of this task.Jun 1 2015, 6:32 PM
Catrope added a subscriber: Catrope.

I don't think this happens any more? But I'm not sure.

@Ryasmeen reopened this on May 11th without adding a comment.
@Ryasmeen: I assume that means this problem still exists? Please clarify as this task has "Unbreak now" priority. Also see the previous comment by Catrope.

I dont know if its for the same underlying reason but I am getting this error still in Betalabs while loading VisualEditor.

I set it as "Unbreak Now" because it was hampering the further testing unless I am able to load the VE .

I've been getting this over the past couple of days too. However, lowering it to high priority since as far as I can tell, it's not impacting production at all.

Neil_P._Quinn_WMF lowered the priority of this task from Unbreak Now! to High.Jun 16 2015, 2:14 AM

I've tried this many times on beta.wmflabs.org with Chrome 45 and FF 38, cannot reproduce.

Jdforrester-WMF closed this task as Resolved.Jun 18 2015, 1:45 AM
Jdforrester-WMF claimed this task.

Let's hope this is fixed.

Was able to reproduce it again on en.wiki today

Ryasmeen reopened this task as Open.Jul 15 2015, 5:05 PM

Was able to reproduce it again on en.wiki today

This screenshot doesn't seem to show the issue?

Jdforrester-WMF closed this task as Resolved.Aug 27 2015, 11:10 PM